package de.effigenix.infrastructure.production.persistence.repository;

import de.effigenix.infrastructure.production.persistence.entity.RecipeEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface RecipeJpaRepository extends JpaRepository<RecipeEntity, String> {

    List<RecipeEntity> findByStatus(String status);

    boolean existsByNameAndVersion(String name, int version);

    List<RecipeEntity> findByArticleId(String articleId);
}
